Fittins AI Logo
API docs menu

Reference

Usage

GET/v1/usage

Calls, generations, credits and failures per day and per key, newest day first. Optional ?from= and ?to= (dates like 2026-11-01); the default is the last 30 days, and a range can be up to 92 days.

curl
curl "https://api.fittins.ai/v1/usage?from=2026-11-01&to=2026-11-08" \
  -H "Authorization: Bearer $FITTINS_API_KEY"
200 OK
{
  "object": "usage",
  "from": "2026-11-01",
  "to": "2026-11-08",
  "totals": {
    "requests": 412,
    "generations": 96,
    "credits": 5120,
    "failures": 3
  },
  "days": [
    {
      "date": "2026-11-08",
      "requests": 58,
      "generations": 14,
      "credits": 760,
      "failures": 1,
      "keys": [
        {
          "name": "Shopify sync",
          "last4": "a1b2",
          "mode": "live",
          "requests": 58,
          "generations": 14,
          "credits": 760,
          "failures": 1
        }
      ]
    }
  ]
}
Questions? Email support@fittins.ai with the X-Request-Id of the request.Next: Account →